Jonas Meurer wrote:
On 12/07/2007 Andreas Jung wrote:
after importing a product from zope 2.6.4 to a 2.10.3 instance, trying
to open the product produces quite a lot of errors in my event.log, and
a traceback in the zope management interface.
Importing as zexp? If yes, this is unsupported.
Yes, I imported the Product as zexp. Why is that unsupported, and how
else may I import it? It doesn't exist in the filesystem hierarchy, as
it's a custom Product which was developed in the ZMI.
.zexp export/import is only supported between identical versions. It's not
a migration tool.

So is there any supported way to migrate a ZClass Product which only
exists in the Zope hierarchy?

I know that ZClasses are depreciated in zope 2.10 anyway, but still the
problem remains for migrations from zope 2.6.4 to 2.9 for example.

If by "migration" you mean "upgrade", then you do it the same as you would upgrade any other Zope instance: copy the ZODB to an instance of the new software.



"Building Websites with Plone"

Zope maillist  -
**   No cross posts or HTML encoding!  **
(Related lists - )

Reply via email to